package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(
   value = "分页查询询价明细返回",
   description = "分页查询询价明细返回"
)
public class DrpInquiryDetailPageVO {
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("原料")
   private String materialName;
   @ApiModelProperty("原料类别")
   private String categoryName;
   @ApiModelProperty("备注")
   private String notes;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("决标单价")
   private Integer singlePrice;
   @ApiModelProperty("决标总价")
   private Integer totalPrice;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("备注")
   private String remark;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getNotes() {
      return this.notes;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
